ResourceGroupValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.shared.ResourceGroupValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.shared
Class ResourceGroupValue

    java.lang.Object
      org.hyperic.hq.authz.shared.ResourceGroupValue

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OwnedResourceGroupValue

    public class ResourceGroupValue

extends java.lang.Object
implements java.io.Serializable

Value object for ResourceGroup.

See Also:
  Serialized Form

Constructor Summary
`ResourceGroupValue()`
`ResourceGroupValue(ResourceGroupValue otherValue)`
`ResourceGroupValue(java.lang.String sortName, boolean system, int groupType, int groupEntType, int groupEntResType, int clusterId, java.lang.String description, java.lang.String location, java.lang.String modifiedBy, java.lang.Long mTime, java.lang.Long cTime, java.lang.String name, java.lang.Integer id)`

Method Summary
`boolean` | `clusterIdHasBeenSet()`
`boolean` | `cTimeHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`int` | `getClusterId()`
`java.lang.Long` | `getCTime()`
`java.lang.String` | `getDescription()`
`int` | `getGroupEntResType()`
`int` | `getGroupEntType()`
`int` | `getGroupType()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getModifiedBy()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSortName()`
`boolean` | `getSystem()`
`boolean` | `groupEntResTypeHasBeenSet()`
`boolean` | `groupEntTypeHasBeenSet()`
`boolean` | `groupTypeHasBeenSet()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `locationHasBeenSet()`
`boolean` | `modifiedByHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`void` | `setClusterId(int clusterId)`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setGroupEntResType(int groupEntResType)`
`void` | `setGroupEntType(int groupEntType)`
`void` | `setGroupType(int groupType)`
`void` | `setId(java.lang.Integer id)`
`void` | `setLocation(java.lang.String location)`
`void` | `setModifiedBy(java.lang.String modifiedBy)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`void` | `setSortName(java.lang.String sortName)`
`void` | `setSystem(boolean system)`
`boolean` | `sortNameHasBeenSet()`
`boolean` | `systemHasBeenSet()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceGroupValue

    public ResourceGroupValue()

### ResourceGroupValue

    public ResourceGroupValue(java.lang.String sortName,
                              boolean system,
                              int groupType,
                              int groupEntType,
                              int groupEntResType,
                              int clusterId,
                              java.lang.String description,
                              java.lang.String location,
                              java.lang.String modifiedBy,
                              java.lang.Long mTime,
                              java.lang.Long cTime,
                              java.lang.String name,
                              java.lang.Integer id)

### ResourceGroupValue

    public ResourceGroupValue(ResourceGroupValue otherValue)

Method Detail

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### sortNameHasBeenSet

    public boolean sortNameHasBeenSet()

### getSystem

    public boolean getSystem()

### setSystem

    public void setSystem(boolean system)

### systemHasBeenSet

    public boolean systemHasBeenSet()

### getGroupType

    public int getGroupType()

### setGroupType

    public void setGroupType(int groupType)

### groupTypeHasBeenSet

    public boolean groupTypeHasBeenSet()

### getGroupEntType

    public int getGroupEntType()

### setGroupEntType

    public void setGroupEntType(int groupEntType)

### groupEntTypeHasBeenSet

    public boolean groupEntTypeHasBeenSet()

### getGroupEntResType

    public int getGroupEntResType()

### setGroupEntResType

    public void setGroupEntResType(int groupEntResType)

### groupEntResTypeHasBeenSet

    public boolean groupEntResTypeHasBeenSet()

### getClusterId

    public int getClusterId()

### setClusterId

    public void setClusterId(int clusterId)

### clusterIdHasBeenSet

    public boolean clusterIdHasBeenSet()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getLocation

    public java.lang.String getLocation()

### setLocation

    public void setLocation(java.lang.String location)

### locationHasBeenSet

    public boolean locationHasBeenSet()

### getModifiedBy

    public java.lang.String getModifiedBy()

### setModifiedBy

    public void setModifiedBy(java.lang.String modifiedBy)

### modifiedByHasBeenSet

    public boolean modifiedByHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.